[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# S_ISDIR

Is file a directory

## Declaration

Source position: oldlinux.pp line 1601

`function S_ISDIR(`
`m: Word`
`):Boolean;`

## Description

S_ISDIR checks the file mode m to see whether the file is a directory. If so it returns True

## See also

FStat |  | Retrieve information about a file
S_ISLNK |  | Is file a symbolic link
S_ISREG |  | Is file a regular file
S_ISCHR |  | Is file a character device
S_ISBLK |  | Is file a block device
S_ISFIFO |  | Is file a FIFO
S_ISSOCK |  | Is file a unix socket

Documentation generated on: Feb 26 2014